
### dataHook
- type: string
- description: Applied as data-hook HTML attribute that can be used in the tests
### className
- type: string
- description: Specifies a CSS class name to be appended to the component’s root element.
- internal
### data
- type: FunnelChartItem[]
- description: Array of Funnel Chart items
* `value` - Item's value.
* `label` - Short label under the value.
* `displayValue` - Item's value send by the user.
### fullHeight
- type: boolean
- description: When provided, allows bars to take full height
### hideDifferenceBadge
- type: boolean
- description: A flag that controls the appearance of the calculated percentage badge
### differenceBadgeSkin
- type: "standard" | "dark"
- description: When provided, changes badge skin.
- deprecated
### differenceBadgeProps
- type: ({ currentIndex, difference, differenceValue, }: percentageDifferenceCbData) => FunnelBadgeCommonProps
- description: Returns the badge props by current index, badge's percentage and raw values
##### Signature:
`({currentIndex: number, difference: string, differenceValue: number}) => FunnelBadgeCommonProps`
### differenceStepSkin
- type: ({ currentIndex, difference, differenceValue, }: percentageDifferenceCbData) => "standard" | "success"
- description: Returns the step skin by current index, badge's percentage and raw values
##### Signature:
`({currentIndex: number, difference: string, differenceValue: number}) => 'standard' | 'success'`
### differenceBadgeTooltipContent
- type: ({ currentIndex, difference, differenceValue, }: percentageDifferenceCbData) => ReactNode
- description: Returns the tooltip props by current index, badge's percentage and raw values
##### Signature:
`({currentIndex: number, difference: string, differenceValue: number}) => React.ReactNode`
### differenceBadgeTooltipProps
- type: ({ currentIndex, difference, differenceValue, }: percentageDifferenceCbData) => TooltipCommonProps
- description: Returns the tooltip props by current index, badge's percentage and raw values
##### Signature:
`({currentIndex: number, difference: string, differenceValue: number}) => TooltipCommonProps`
### onDifferenceBadgeTooltipShow
- type: ({ currentIndex, difference, differenceValue, }: percentageDifferenceCbData) => void
- description: Callback on tooltip content show event by current index, badge's percentage and raw values
##### Signature:
`({currentIndex: number, difference: string, differenceValue: number}) => void`

